# Admin | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Class Admin

- Defined in: Admin.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Admin() The Admin prototype is mounted at root and provides actions needed for system administration.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| deletedSites Contains sites scheduled for deletion
| entries Contains administrative log entries only
| restrictedSites Contains sites which are restricted but not blocked
| sites Contains all available sites
| users Contains all available users

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | Admin.commitEntries()
<static> | Admin.commitRequests()
| count_macro(param, object)
<static> | Admin.dequeue()
| dropdown_macro(param)
| filterLog(data)
| filterSites(data)
| filterUsers(data)
<static> | Admin.getCreationScopes()
<static> | Admin.getNotificationScopes()
| getPermission(action)
<static> | Admin.getPhaseOutModes()
<static> | Admin.invokeCallbacks()
| items_macro(param, object, name)
| link_macro(param, action, id, text)
| log(context, action)
| onRequest()
| onUnhandledMacro(name)
<static> | Admin.purgeReferrers()
<static> | Admin.purgeSites()
<static> | Admin.queue(target, method, user) Convenience method for easily queueing jobs.
| renderItem(item)
| skin_macro(param, name)
| update(data)
<static> | Admin.updateDomains()
<static> | Admin.updateHealth()
| updateSite(data)
| updateUser(data)

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getFormValue
  getMetadata
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onCodeUpdate
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Admin()
The Admin prototype is mounted at root and provides actions needed for system administration. A user needs the User.PRIVILEGED permission to gain access or modify settings.

## Field Detail

{Sites[]} deletedSites
Contains sites scheduled for deletion
{LogEntry[]} entries
Contains administrative log entries only
{Sites[]} restrictedSites
Contains sites which are restricted but not blocked
{Sites[]} sites
Contains all available sites
{Users[]} users
Contains all available users

## Method Detail

- <static> Admin.commitEntries()
- <static> Admin.commitRequests()
- count_macro(param, object)
  Parameters:
  {Object} param
  {HopObject} object
- <static> Admin.dequeue()
- dropdown_macro(param)
  Parameters:
  {Object} param
- filterLog(data)
  Parameters:
  {Object} data
- filterSites(data)
  Parameters:
  {Object} data
- filterUsers(data)
  Parameters:
  {Object} data
- <static> {String[]} Admin.getCreationScopes()
  Returns:
    {String[]}
  See:
    defineConstants
- <static> {String[]} Admin.getNotificationScopes()
  Returns:
    {String[]}
  See:
    defineConstants
- {Boolean} getPermission(action)
  Parameters:
  {Object} action
  Returns:
    {Boolean}
- <static> {String[]} Admin.getPhaseOutModes()
  Returns:
    {String[]}
  See:
    defineConstants
- <static> Admin.invokeCallbacks()
- items_macro(param, object, name)
  Parameters:
  {Object} param
  {HopObject} object
  {String} name
- link_macro(param, action, id, text)
  Parameters:
  {Object} param
  {String} action
  {Number} id
  {String} text
- log(context, action)
  Parameters:
  {HopObject} context
  {String} action
- onRequest()
- onUnhandledMacro(name)
  Parameters:
  {String} name
- <static> Admin.purgeReferrers()
- <static> Admin.purgeSites()
- <static> {String} Admin.queue(target, method, user)
  Convenience method for easily queueing jobs.
  Parameters:
  {HopObject} target
  {String} method
  {User} user
  Returns:
    {String}
  See:
    Admin.Job
- renderItem(item)
  Parameters:
  {HopObject} item
- skin_macro(param, name)
  Parameters:
  {Object} param
  {String} name
- update(data)
  Parameters:
  {Object} data
- <static> Admin.updateDomains()
- <static> Admin.updateHealth()
- updateSite(data)
  Parameters:
  {Object} data
- updateUser(data)
  Parameters:
  {Object} data